{
    num: 842,
    accuracy: true,
    basePower: 0,
    category: "Status",
    name: "Shelter",
    pp: 10,
    priority: 0,
    flags: {snatch: 1, metronome: 1},
    onHit(pokemon) {
        this.boost({ def: 1 }, pokemon);
        const somesideConditions = ["spikes", "stealthrock"];
        const sides = [pokemon.side];
        for (const side of sides) {
            for (const sideCondition of somesideConditions) {
                if (sideCondition) {
                    this.add("-message", `This side's Stealth Rock and Spikes will be removed!`);
                }
                if (side.removeSideCondition("spikes")) {
                    this.add("-sideend", side, this.dex.conditions.get("spikes"));
                    this.boost({ def: 1 }, pokemon);
                }
                if (side.removeSideCondition("stealthrock")) {
                    this.add("-sideend", side, this.dex.conditions.get("stealthrock"));
                    this.boost({ def: 1 }, pokemon);
                }
            }
        }
    },
    secondary: null,
    zMove: { boost: { def: 1 } },
    target: "self",
    type: "Steel",
}
